#include "rectangle.h"

Rectangle::Rectangle(Point start, double h, double w) {
    this->start = start;
    this->width = w;
    this->height = h;
}

const Point& Rectangle::getStart() const {
    return start;
}

double Rectangle::getHeight() const {
    return height;
}

double Rectangle::getWidth() const {
    return width;
}

void Rectangle::moveBy(double dx, double dy) {
    start.moveBy(dx, dy);
}

void Rectangle::moveTo(double xn, double yn) {
    start.moveTo(xn, yn);
}

double Rectangle::calcArea() const {
    return width * height;
}

double Rectangle::calcCircumference() const {
    return 2 * width + 2 * height;
}
