#ifndef RECTANGLE_H
#define RECTANGLE_H

#include "point.h"

class Rectangle {
public:
    Rectangle(Point start, double h, double w);

    const Point& getStart() const;
    double getHeight() const;
    double getWidth() const;

    void moveBy(double dx, double dy);
    void moveTo(double xn, double yn);

    double calcArea() const;
    double calcCircumference() const;

private:
    Point start;
    double height = 0.0;
    double width = 0.0;
};

#endif
